#include "dec.h"

void dec(unsigned char serial_data[32], short speech[160])
{     
      dec_mode = (serial_data[0] >> 3) & 0x000F;
      read_size = block_size[dec_mode];
      Decoder_Interface_Decode(destate, serial_data, speech, 0);
      //fwrite(speech, sizeof (short), 160, file_enc_dec);
}
